Subject: Re: malloc problem
From: Kazuhiro Fujieda <[email-masked]>
To: wakamiya <[email-masked]>
Cc: [email-masked]
Date: 25 Dec 2000 10:17:41 +0900

>>> On Mon, 25 Dec 2000 09:51:40 +0900
>>> wakamiya <[email-masked]> said:

> I use Cygwin 1.1.6 with WindowsNT Japanese Edition and 
> I have had a problem on malloc.
> As I get a memory block larger than 0x8000000 using malloc,
> malloc returns NULL pointer.
> How do I get a memory block larger than 0x8000000 ?
> Or is it a Windows limitation ?

It is a configurable limitation of the Cygwin DLL. You can
control it through a registry entry.

After you incorporate the following registry file, you can
allocate a memory block up to 256MB. Take care that this entry
isn't available until you terminate all applications of Cygwin.

REGEDIT4

[HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin]
"heap_chunk_in_mb"=dword:00000100
____
  | AIST      Kazuhiro Fujieda <[email-masked]>
  | HOKURIKU  School of Information Science
o_/ 1990      Japan Advanced Institute of Science and Technology

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple